unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, outllook, StdCtrls, Buttons;

type
  TForm1 = class(TForm)
    OutBox1: TOutBox;
    Panel1: TPanel;
    Panel3: TPanel;
    Panel4: TPanel;
    Image2: TImage;
    Image1: TImage;
    Label1: TLabel;
    Label2: TLabel;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    SpeedButton3: TSpeedButton;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    procedure FormCreate(Sender: TObject);
    procedure OutBox1ChangePage(Sender: TObject; Pagina: Integer);
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure OutBox1Resize(Sender: TObject; larg1, largh2: Integer);
    procedure SpeedButton3Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
 Panel3.Parent := OutBox1.scr2; // Insert the panel in the right page
 Panel4.Parent := OutBox1.scr2;

 Panel3.Top := 10;  // Move the panel
 Panel4.Top := 10;

 Panel3.Left:= 10;
 Panel4.Left:= 10;


 OutBox1.PaginaAltezza := Image1.height;
 OutBox1.PaginaLarghezza := Image1.width;


 OutBox1.AddPagina(image1.picture); // Add a page
 OutBox1.AddPagina(image2.picture);

end;

procedure TForm1.OutBox1ChangePage(Sender: TObject; Pagina: Integer);
begin
  If (Pagina=1) then Panel3.BringToFront
  else Panel4.BringToFront;
end;

procedure TForm1.SpeedButton1Click(Sender: TObject);
begin
 outbox1.dimensione_sx:=outbox1.dimensione_sx+10;
end;

procedure TForm1.SpeedButton2Click(Sender: TObject);
begin
 outbox1.dimensione_sx:=outbox1.dimensione_sx-10;
end;

procedure TForm1.FormResize(Sender: TObject);
begin
  if(panel3<>nil)and(panel4<>nil) then
  begin
    application.processmessages;
    if(Outbox1.scr2.ClientWidth>Panel3.width) then
    begin
      panel3.left:=(Outbox1.scr2.ClientWidth-Panel3.width) div 2;
      panel4.left:=panel3.left;
    end
    else
    begin
      panel3.left:=0-Outbox1.scr2.HorzScrollBar.position;
      panel4.left:=0-Outbox1.scr2.HorzScrollBar.position;
    end;
    if(Outbox1.scr2.ClientHeight>Panel1.Height) then
    begin
      Panel3.Top:=(Outbox1.scr2.ClientHeight-Panel3.Height) div 2;
      Panel4.Top:=Panel3.Top;
    end
    else
    begin
      panel3.top:=0-Outbox1.scr2.VertScrollBar.position;
      panel4.top:=0-Outbox1.scr2.VertScrollBar.position;
    end;
  end;
end;

procedure TForm1.OutBox1Resize(Sender: TObject; larg1, largh2: Integer);
begin
 FormResize(Sender);
end;

procedure TForm1.SpeedButton3Click(Sender: TObject);
begin
  outbox1.AddPagina(Image1.picture);
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
 if(outbox1.disposizione=verticale) then outbox1.disposizione:=orizzontale
 else if(outbox1.disposizione=orizzontale) then outbox1.disposizione:=nessuna
 else if(outbox1.disposizione=nessuna) then outbox1.disposizione:=verticale;
end;

procedure TForm1.BitBtn2Click(Sender: TObject);
begin
 if outbox1.CurrentPage > 0 then outbox1.RemovePagina(outbox1.currentpage);
end;

end.
